updateExternalLoan

Perform various update operations on external loan account records.

Symitar eDocs References: Coming soon.

Operations

updateExternalLoanByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ExternalLoanLocatorintegerOptional
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
post
/updateExternalLoanByID
POST /nexum/627/2022.01/account/updateExternalLoanByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 372

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "2dfKQYR!TeXJwe"
    }
  },
  "ExternalLoanLocator": {},
  "ExternalLoanUpdatableFields": {},
  "ExternalLoanNameUpdateRequest": [
    {}
  ],
  "ExternalLoanNoteUpdateRequest": [
    {}
  ],
  "ExternalLoanTrackingUpdateRequest": [
    {}
  ],
  "ExternalLoanTransferUpdateRequest": [
    {}
  ],
  "AccountNumber": {},
  "nxAttributes": {
    "customFields": {
      "appId": "glaci"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {}
}

updateExternalLoanNameByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ExternalLoanNameLocatorintegerOptional
AccountNumberstringOptional
ExternalLoanLocatorintegerOptional
Responses
200

Successful operation.

application/json
post
/updateExternalLoanNameByID
POST /nexum/627/2022.01/account/updateExternalLoanNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 249

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "2dfKQYR!TeXJwe"
    }
  },
  "ExternalLoanNameLocator": {},
  "ExternalLoanNameUpdatableFields": {},
  "AccountNumber": {},
  "ExternalLoanLocator": {},
  "nxAttributes": {
    "customFields": {
      "appId": "glaci"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {}
}

updateExternalLoanNoteByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ExternalLoanNoteLocatorintegerOptional
AccountNumberstringOptional
ExternalLoanLocatorintegerOptional
Responses
200

Successful operation.

application/json
post
/updateExternalLoanNoteByID
POST /nexum/627/2022.01/account/updateExternalLoanNoteByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 249

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "2dfKQYR!TeXJwe"
    }
  },
  "ExternalLoanNoteLocator": {},
  "ExternalLoanNoteUpdatableFields": {},
  "AccountNumber": {},
  "ExternalLoanLocator": {},
  "nxAttributes": {
    "customFields": {
      "appId": "glaci"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {}
}

updateExternalLoanTrackingByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ExternalLoanTrackingLocatorintegerOptional
AccountNumberstringOptional
ExternalLoanLocatorintegerOptional
Responses
200

Successful operation.

application/json
post
/updateExternalLoanTrackingByID
POST /nexum/627/2022.01/account/updateExternalLoanTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 257

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "2dfKQYR!TeXJwe"
    }
  },
  "ExternalLoanTrackingLocator": {},
  "ExternalLoanTrackingUpdatableFields": {},
  "AccountNumber": {},
  "ExternalLoanLocator": {},
  "nxAttributes": {
    "customFields": {
      "appId": "glaci"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {}
}

updateExternalLoanTransferByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
ExternalLoanTransferLocatorintegerOptional
AccountNumberstringOptional
ExternalLoanLocatorintegerOptional
Responses
200

Successful operation.

application/json
post
/updateExternalLoanTransferByID
POST /nexum/627/2022.01/account/updateExternalLoanTransferByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 257

{
  "Credentials": {
    "UserNumberCredentials": {
      "UserNumber": 1995,
      "Password": "2dfKQYR!TeXJwe"
    }
  },
  "ExternalLoanTransferLocator": {},
  "ExternalLoanTransferUpdatableFields": {},
  "AccountNumber": {},
  "ExternalLoanLocator": {},
  "nxAttributes": {
    "customFields": {
      "appId": "glaci"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {}
}

Last updated

Was this helpful?